Package com.emc.d2fs.services.d2_dictionary_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.d2_dictionary_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.d2_dictionary_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.d2_dictionary_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DictionaryExportRequest`
  `createDictionaryExportRequest()`
  Create an instance of `DictionaryExportRequest`
  `DictionaryExportResponse`
  `createDictionaryExportResponse()`
  Create an instance of `DictionaryExportResponse`
  `DictionaryImportRequest`
  `createDictionaryImportRequest()`
  Create an instance of `DictionaryImportRequest`
  `DictionaryImportResponse`
  `createDictionaryImportResponse()`
  Create an instance of `DictionaryImportResponse`
  `DictionaryOperationRequest`
  `createDictionaryOperationRequest()`
  Create an instance of `DictionaryOperationRequest`
  `DictionaryOperationResponse`
  `createDictionaryOperationResponse()`
  Create an instance of `DictionaryOperationResponse`
  `GetDictionaryNumberValueRequest`
  `createGetDictionaryNumberValueRequest()`
  Create an instance of `GetDictionaryNumberValueRequest`
  `GetDictionaryNumberValueResponse`
  `createGetDictionaryNumberValueResponse()`
  Create an instance of `GetDictionaryNumberValueResponse`
  `GetExportDictionaryUrlRequest`
  `createGetExportDictionaryUrlRequest()`
  Create an instance of `GetExportDictionaryUrlRequest`
  `GetExportDictionaryUrlResponse`
  `createGetExportDictionaryUrlResponse()`
  Create an instance of `GetExportDictionaryUrlResponse`
  `GetImportDictionaryUrlRequest`
  `createGetImportDictionaryUrlRequest()`
  Create an instance of `GetImportDictionaryUrlRequest`
  `GetImportDictionaryUrlResponse`
  `createGetImportDictionaryUrlResponse()`
  Create an instance of `GetImportDictionaryUrlResponse`
  `ImportVersionDictionaryRequest`
  `createImportVersionDictionaryRequest()`
  Create an instance of `ImportVersionDictionaryRequest`
  `ImportVersionDictionaryResponse`
  `createImportVersionDictionaryResponse()`
  Create an instance of `ImportVersionDictionaryResponse`
  `MtomAttachmentType`
  `createMtomAttachmentType()`
  Create an instance of `MtomAttachmentType`
  `RequestDocbaseUpdateRequest`
  `createRequestDocbaseUpdateRequest()`
  Create an instance of `RequestDocbaseUpdateRequest`
  `RequestDocbaseUpdateResponse`
  `createRequestDocbaseUpdateResponse()`
  Create an instance of `RequestDocbaseUpdateResponse`
  `SaveVersionDictionaryRequest`
  `createSaveVersionDictionaryRequest()`
  Create an instance of `SaveVersionDictionaryRequest`
  `SaveVersionDictionaryResponse`
  `createSaveVersionDictionaryResponse()`
  Create an instance of `SaveVersionDictionaryResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.d2_dictionary_service

- ## Method Details

  - ### createDictionaryOperationRequest

    public DictionaryOperationRequest createDictionaryOperationRequest()
    Create an instance of `DictionaryOperationRequest`

  - ### createDictionaryOperationResponse

    public DictionaryOperationResponse createDictionaryOperationResponse()
    Create an instance of `DictionaryOperationResponse`

  - ### createDictionaryImportRequest

    public DictionaryImportRequest createDictionaryImportRequest()
    Create an instance of `DictionaryImportRequest`

  - ### createDictionaryImportResponse

    public DictionaryImportResponse createDictionaryImportResponse()
    Create an instance of `DictionaryImportResponse`

  - ### createDictionaryExportRequest

    public DictionaryExportRequest createDictionaryExportRequest()
    Create an instance of `DictionaryExportRequest`

  - ### createDictionaryExportResponse

    public DictionaryExportResponse createDictionaryExportResponse()
    Create an instance of `DictionaryExportResponse`

  - ### createMtomAttachmentType

    public MtomAttachmentType createMtomAttachmentType()
    Create an instance of `MtomAttachmentType`

  - ### createGetExportDictionaryUrlRequest

    public GetExportDictionaryUrlRequest createGetExportDictionaryUrlRequest()
    Create an instance of `GetExportDictionaryUrlRequest`

  - ### createGetExportDictionaryUrlResponse

    public GetExportDictionaryUrlResponse createGetExportDictionaryUrlResponse()
    Create an instance of `GetExportDictionaryUrlResponse`

  - ### createGetDictionaryNumberValueRequest

    public GetDictionaryNumberValueRequest createGetDictionaryNumberValueRequest()
    Create an instance of `GetDictionaryNumberValueRequest`

  - ### createGetDictionaryNumberValueResponse

    public GetDictionaryNumberValueResponse createGetDictionaryNumberValueResponse()
    Create an instance of `GetDictionaryNumberValueResponse`

  - ### createGetImportDictionaryUrlRequest

    public GetImportDictionaryUrlRequest createGetImportDictionaryUrlRequest()
    Create an instance of `GetImportDictionaryUrlRequest`

  - ### createGetImportDictionaryUrlResponse

    public GetImportDictionaryUrlResponse createGetImportDictionaryUrlResponse()
    Create an instance of `GetImportDictionaryUrlResponse`

  - ### createSaveVersionDictionaryRequest

    public SaveVersionDictionaryRequest createSaveVersionDictionaryRequest()
    Create an instance of `SaveVersionDictionaryRequest`

  - ### createSaveVersionDictionaryResponse

    public SaveVersionDictionaryResponse createSaveVersionDictionaryResponse()
    Create an instance of `SaveVersionDictionaryResponse`

  - ### createImportVersionDictionaryRequest

    public ImportVersionDictionaryRequest createImportVersionDictionaryRequest()
    Create an instance of `ImportVersionDictionaryRequest`

  - ### createImportVersionDictionaryResponse

    public ImportVersionDictionaryResponse createImportVersionDictionaryResponse()
    Create an instance of `ImportVersionDictionaryResponse`

  - ### createRequestDocbaseUpdateRequest

    public RequestDocbaseUpdateRequest createRequestDocbaseUpdateRequest()
    Create an instance of `RequestDocbaseUpdateRequest`

  - ### createRequestDocbaseUpdateResponse

    public RequestDocbaseUpdateResponse createRequestDocbaseUpdateResponse()
    Create an instance of `RequestDocbaseUpdateResponse`